> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Document Text

> Text the document to the patient with a custom message. Texting a link
requires the document to be viewable in the portal, so this also shares it
with the patient and stores the message as the patient-facing note.



## OpenAPI

````yaml post /user/patient/document/{document_id}/send-text
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /user/patient/document/{document_id}/send-text:
    post:
      tags:
        - Patient Documents
      summary: Send Document Text
      description: >-
        Text the document to the patient with a custom message. Texting a link

        requires the document to be viewable in the portal, so this also shares
        it

        with the patient and stores the message as the patient-facing note.
      operationId: send_document_text_user_patient_document__document_id__send_text_post
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: document_id
          in: path
          required: true
          schema:
            type: string
            title: Document Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DocumentSendTextUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DocumentSummary'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DocumentSendTextUpdate:
      properties:
        message:
          type: string
          title: Message
      type: object
      required:
        - message
      title: DocumentSendTextUpdate
      description: Body for texting a document to the patient with a custom message.
    DocumentSummary:
      properties:
        id:
          type: string
          title: Id
        patientId:
          type: string
          title: Patientid
        filePath:
          type: string
          title: Filepath
        fileType:
          type: string
          title: Filetype
        title:
          type: string
          title: Title
        summary:
          anyOf:
            - type: string
            - type: 'null'
          title: Summary
        docType:
          type: string
          title: Doctype
        signatureUrl:
          anyOf:
            - type: string
            - type: 'null'
          title: Signatureurl
        expiryDate:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Expirydate
        createdDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Createddate
        updatedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updateddate
        noteIds:
          items:
            type: string
          type: array
          title: Noteids
          default: []
        sourceNoteId:
          anyOf:
            - type: string
            - type: 'null'
          title: Sourcenoteid
        reviewedByProviderId:
          anyOf:
            - type: string
            - type: 'null'
          title: Reviewedbyproviderid
        reviewedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Revieweddate
        reviewComment:
          anyOf:
            - type: string
            - type: 'null'
          title: Reviewcomment
        sharedWithPatient:
          type: boolean
          title: Sharedwithpatient
          default: false
        sharedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Shareddate
        sharedByProviderId:
          anyOf:
            - type: string
            - type: 'null'
          title: Sharedbyproviderid
        patientMessage:
          anyOf:
            - type: string
            - type: 'null'
          title: Patientmessage
        sourceAnsweredFormId:
          anyOf:
            - type: string
            - type: 'null'
          title: Sourceansweredformid
        sourceFormId:
          anyOf:
            - type: string
            - type: 'null'
          title: Sourceformid
        sourceFormName:
          anyOf:
            - type: string
            - type: 'null'
          title: Sourceformname
      type: object
      required:
        - id
        - patientId
        - filePath
        - fileType
        - title
        - summary
        - docType
        - signatureUrl
      title: DocumentSummary
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````